Skip to content

Get webhook subscription by ID

Request

Security
oauth2(Required scopes: webhook.subscription:read) or bearerAuth or apiKeyHeader
Path
webhookSubscriptionIdstringrequired

The ID of the webhook subscription

GET
/webhooks/{webhookSubscriptionId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/webhooks/{webhookSubscriptionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(WebhookSubscription)
Response
{ "message": "string", "status": 0, "data": { "eventTypes": [], "webhookType": "direct", "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "companyId": "string", "enabled": true, "hmacSecretKey": "string", "hydrateData": false, "webhookDirectDetails": {}, "webhookProxyDetails": {} } }